Dokumentacja AlgoJudge0.1
REST reference

Server

Ta strona jest po angielsku

Polskie tłumaczenie obejmuje sekcje Instalacja i utrzymanie i Korzystanie z AlgoJudge. Pozostałe sekcje są materiałem technicznym i pozostają po angielsku.
POST/identity/register

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

curl -X POST "https://example.com/identity/register" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "password": "string"  }'
Empty
POST/identity/login

Query Parameters

useCookies?boolean
useSessionCookies?boolean

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/identity/login" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "password": "string"  }'
{  "tokenType": "string",  "accessToken": "string",  "expiresIn": 0,  "refreshToken": "string"}
POST/identity/refresh

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/identity/refresh" \  -H "Content-Type: application/json" \  -d '{    "refreshToken": "string"  }'
{  "tokenType": "string",  "accessToken": "string",  "expiresIn": 0,  "refreshToken": "string"}
GET/identity/confirmEmail

Query Parameters

userId*string
code*string
changedEmail?string

Response Body

curl -X GET "https://example.com/identity/confirmEmail?userId=string&code=string"
Empty
POST/identity/resendConfirmationEmail

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/identity/resendConfirmationEmail" \  -H "Content-Type: application/json" \  -d '{    "email": "string"  }'
Empty
POST/identity/forgotPassword

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

curl -X POST "https://example.com/identity/forgotPassword" \  -H "Content-Type: application/json" \  -d '{    "email": "string"  }'
Empty
POST/identity/resetPassword

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/problem+json

curl -X POST "https://example.com/identity/resetPassword" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "resetCode": "string",    "newPassword": "string"  }'
Empty
POST/identity/manage/2fa

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

curl -X POST "https://example.com/identity/manage/2fa" \  -H "Content-Type: application/json" \  -d '{}'
{  "sharedKey": "string",  "recoveryCodesLeft": 0,  "recoveryCodes": [    "string"  ],  "isTwoFactorEnabled": true,  "isMachineRemembered": true}
GET/identity/manage/info

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/identity/manage/info"
{  "email": "string",  "isEmailConfirmed": true}
POST/identity/manage/info

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

curl -X POST "https://example.com/identity/manage/info" \  -H "Content-Type: application/json" \  -d '{}'
{  "email": "string",  "isEmailConfirmed": true}